Page MenuHomePhabricator

check constraint violations on statements on Forms and Senses when saving a statement
Closed, ResolvedPublic3 Story Points

Description

As an editor I want to see constraints violations on Form or Sense statements right after saving them in order to see mistakes in the data and fix them.

Problem:
Right now statements on the Form and Sense level are not checked for constraints violations when saving a statement.

Screenshots/mockups:

BDD
GIVEN a an edit on a statement on a Form or Sense
AND the resulting statement violates a constraint
WHEN saving the edit
THEN the violation should be checked and indicated via the little constraint violation icon

Acceptance criteria:

  • statements on Forms and Senses are checked for constraint violations and indicate them to the user in the same way as constraint violations on Item or Lexeme-level statements when saving the statement
  • no page reload is necessary

Technical notes:
When a statement is saved and the gadget makes the action=wbcheckconstraints&claims=… request, the API returns constraint violations (that part actually works), but the results don’t become visible on the page. The gadget’s DOM selectors probably need to be massaged a bit.

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseQualityConstraints : masterCheck entities and subentites on statement save

Event Timeline

Vvjjkkii renamed this task from Insert results of constraint checks on form/sense statements in page to m3baaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from m3baaaaaaa to Insert results of constraint checks on form/sense statements in page.Jul 2 2018, 3:27 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
Lydia_Pintscher renamed this task from Insert results of constraint checks on form/sense statements in page to check constraint violations on statements on Forms and Senses when saving a statement.Aug 7 2018, 8:55 AM
Lydia_Pintscher updated the task description. (Show Details)

@Lydia_Pintscher We found that checking on statements of forms/senses that were created after the Lexeme page is loaded is a challenge in itself, created a dedicated ticket for that => T205697

Change 463739 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[mediawiki/extensions/WikibaseQualityConstraints@master] Check entities and subentites on statement save

https://gerrit.wikimedia.org/r/463739

Change 463739 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Check entities and subentites on statement save

https://gerrit.wikimedia.org/r/463739

Addshore moved this task from incoming to in progress on the Wikidata board.Oct 9 2018, 9:36 AM